﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace SilverlightApplication162.ViewModel
{
    public class Person:INotifyPropertyChanged
    {

        string name = string.Empty;
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        int age = 0;

        public int Age
        {
            get { return age; }
            set { age = value; }
          
        }

        DateTime dob = DateTime.Now.Date;

        public DateTime DOB
        {
            get { return dob; }
            set { dob = value; }
        }

        double salary = 0.00;
        public double Salary
        {
            get { return salary; }
            set { salary = value; }

        }

        string organization = string.Empty;
        public string Organization
        {
            get { return organization; }
            set {
                if (value != null ) 
                {
                  organization = value;
                  NotifyPropertyChanged("Organization");
                }
            }
        }

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }



        public event PropertyChangedEventHandler PropertyChanged;
    }
}
